Debian Bug report logs - #651000
console-common: Circular dependency during upgrade

version graph

Package: console-common; Maintainer for console-common is Alastair McKinstry <mckinstry@debian.org>; Source for console-common is src:console-common.

Reported by: Michael Rasmussen <mir@datanom.net>

Date: Sun, 4 Dec 2011 22:54:02 UTC

Severity: serious

Merged with 650995, 651036, 651043, 651130

Found in version console-common/0.7.86

Fixed in versions console-common/0.7.87, 0.7.87

Done: Christian PERRIER <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#651000; Package console-common. (Sun, 04 Dec 2011 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Rasmussen <mir@datanom.net>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sun, 04 Dec 2011 22:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Rasmussen <mir@datanom.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-common: Circular dependency during upgrade
Date: Sun, 04 Dec 2011 23:50:43 +0100
Package: console-common
Version: 0.7.86
Severity: grave
Justification: renders package unusable

insserv: There is a loop between service nfs-common and hwclock if
started
insserv:  loop involving service hwclock at depth 11
insserv:  loop involving service checkroot at depth 10
insserv: There is a loop between service checkfs and mtab if started
insserv:  loop involving service mtab at depth 11
insserv: There is a loop between service checkfs and checkroot if
started
insserv: There is a loop between service nfs-common and hwclock if
started
insserv:  loop involving service keyboard-setup at depth 10
insserv: There is a loop between service checkfs and mtab if started
insserv:  loop involving service mountnfs at depth 7
insserv:  loop involving service nfs-common at depth 6
insserv:  loop involving service portmap at depth 5
insserv:  loop involving service mountall at depth 4
insserv:  loop involving service checkfs at depth 3
insserv:  loop involving service lvm2 at depth 2
insserv:  loop involving service module-init-tools at depth 13
insserv: There is a loop between service mountall and checkfs if started
insserv: There is a loop between service mountnfs and nfs-common if
started
insserv:  loop involving service keymap at depth 21
insserv:  loop involving service alsa-utils at depth 23
insserv:  loop involving service networking at depth 21
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing console-common (--configure):
 subprocess installed post-installation script returned error exit
 status 1


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages console-common depends on:
ii  console-data           2:1.12-1     
ii  console-tools          1:0.2.3dbs-70
ii  debconf [debconf-2.0]  1.5.41       
ii  debianutils            4.1          
ii  lsb-base               3.2-28       

console-common recommends no packages.

console-common suggests no packages.

-- debconf information:
  console-data/keymap/powerpcadb:
  console-data/keymap/ignored:
  console-data/keymap/full:
  console-data/keymap/template/keymap:
* console-data/keymap/policy: Select keymap from arch list
  console-data/bootmap-md5sum: bff6f7422c3fbac725bc7c16d5785cc4
  console-data/keymap/template/layout:
* console-data/keymap/family: qwerty
  console-data/keymap/template/variant:




Forcibly Merged 650995 651000. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 04 Dec 2011 23:06:10 GMT) Full text and rfc822 format available.

Forcibly Merged 650995 651000 651043. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 05 Dec 2011 19:15:11 GMT) Full text and rfc822 format available.

Forcibly Merged 650995 651000 651036 651043. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 05 Dec 2011 19:15:15 GMT) Full text and rfc822 format available.

Forcibly Merged 650995 651000 651036 651043 651130. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Tue, 06 Dec 2011 07:24:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jan 2012 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:20:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.